GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
transport.c File Reference
`#include "src/core/transport/transport.h"`
`#include "src/core/transport/transport_impl.h"`

## Functions
size_t | grpc_transport_stream_size (grpc_transport *transport)
void | grpc_transport_destroy (grpc_transport *transport)
int | grpc_transport_init_stream (grpc_transport *transport, grpc_stream *stream, const void *server_data, grpc_transport_stream_op *initial_op)
void | grpc_transport_perform_stream_op (grpc_transport *transport, grpc_stream *stream, grpc_transport_stream_op *op)
void | grpc_transport_perform_op (grpc_transport *transport, grpc_transport_op *op)
void | grpc_transport_destroy_stream (grpc_transport *transport, grpc_stream *stream)
char * | grpc_transport_get_peer (grpc_transport *transport)
void | grpc_transport_stream_op_finish_with_failure (grpc_transport_stream_op *op)
void | grpc_transport_stream_op_add_cancellation (grpc_transport_stream_op *op, grpc_status_code status, grpc_mdstr *message)

## Function Documentation

void grpc_transport_destroy | ( | grpc_transport * | transport | ) |

void grpc_transport_destroy_stream | ( | grpc_transport * | transport,
|  | grpc_stream * | stream
| ) |  |

char* grpc_transport_get_peer | ( | grpc_transport * | transport | ) |

int grpc_transport_init_stream | ( | grpc_transport * | transport,
|  | grpc_stream * | stream,
|  | const void * | server_data,
|  | grpc_transport_stream_op * | initial_op
| ) |  |

void grpc_transport_perform_op | ( | grpc_transport * | transport,
|  | grpc_transport_op * | op
| ) |  |

void grpc_transport_perform_stream_op | ( | grpc_transport * | transport,
|  | grpc_stream * | stream,
|  | grpc_transport_stream_op * | op
| ) |  |

void grpc_transport_stream_op_add_cancellation | ( | grpc_transport_stream_op * | op,
|  | grpc_status_code | status,
|  | grpc_mdstr * | message
| ) |  |

void grpc_transport_stream_op_finish_with_failure | ( | grpc_transport_stream_op * | op | ) |

size_t grpc_transport_stream_size | ( | grpc_transport * | transport | ) |